function plotwave(seq_choice,index_choice,seq_wave,holdgraph,color)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Chua Gek Huey
% Library: HuaySignalLib
% Function: plotwave
% Usage: plotwave(seq_choice,index_choice,seq_wave,holdgraph,color)
% Description: Plot 2D graph for 3D data
%               seq_wave=3D data
% Last Edited: 04 Aug 2005
% See Also: ExtractGetSignal, GetRawSignal, GetSignalOneStop
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if nargin<5
    disp('Usage: plotwave(seq_choice,index_choice,seq_wave,hold,color)');
    disp('Example: plotwave(1,1,seq_wave,1,''r'')');
    return
end

for i=1:size(seq_wave,3)
    a(i)=seq_wave(seq_choice,index_choice,i);
end
if (holdgraph==1)
    hold on;
    plot(a,color);
else
    figure;
    plot(a,color);
end