function [dist]=FirstDerivativeDistance(x,y)

if nargin~=2
    disp('Usage:[dist]=FirstDerivativeDistance(x,y)');
    return;
end

domain_len=length(x);
%Calculate ddp_dist_n_sum(1-6) - each family

d=0.;
for k=1:domain_len
    if (k==1)
        dq=((x(k+1)-x(k))+(x(k+2)-x(k))/2)/2;
        dc=((y(k+1)-y(k))+(y(k+2)-y(k))/2)/2;                
    elseif (k==domain_len)
        dq=((x(k-1)-x(k-2))+(x(k)-x(k-2))/2)/2;
        dc=((y(k-1)-y(k-2))+(y(k)-y(k-2))/2)/2;
    else
        dq=((x(k)-x(k-1))+(x(k+1)-x(k-1))/2)/2;
        dc=((y(k)-y(k-1))+(y(k+1)-y(k-1))/2)/2;                
    end
    d=d+(dq-dc)*(dq-dc);            
end
dist=sqrt(d);

