function [rank,score]=RankIndex(signal)

if nargin~=1
    disp('Usage: [rank,score]=RankIndex(signal)');
    return;
end


for i=1:size(signal,2)
    dist_tmp=0.;
    for j=1:size(signal,1)
        for k=j+1:size(signal,1)
            dist_tmp=dist_tmp+FirstDerivativeDistance(signal(j,i,:),signal(k,i,:));
        end
    end
    edist(i)=dist_tmp;
end

[a,b]=sort(edist);
rank=b;
score=a;